/*CSS here will be used by any file that has added the stylesheet*/

/* CSS - Cascading Style Sheet */

/* A common guide button for all media categories */

.guide-button {
    pointer-events: auto;
    width: 40px;
    height: 40px;
    cursor: pointer;
    overflow: hidden;
    position: absolute;
    bottom: 3px;
    right: 30px;
    background-color: rgb(0, 0, 0, 0.8) !important;
    border-radius: 50%;
    color: white;
    text-align: center;
    line-height: 1.9;
    font-size: 1.4em;
    font-weight: 100;
    font-family: "Oswald", sans-serif !important;
    user-select: none;
    -webkit-user-select: none;
    z-index: 1000;
}

.guide-button:hover {
    background-color: rgb(0, 0, 0, 1.0) !important;
    cursor: pointer;
    transform: scale(1.07);
}



/* Guide styling */

#guide {
    font-family: "Oswald", sans-serif;
    letter-spacing:0.05em;
    color:#ffffff;
    position: absolute;
    display:flex;
    align-items:center;
    justify-content:center;
    top:0px;
    pointer-events: none;
    width: 100%;
    height: calc(100%);
    background-color: rgb(0, 0, 0, 0.7);
    -webkit-backdrop-filter: blur(6px); 
    backdrop-filter: blur(6px);
    z-index: 2000;
    -webkit-user-select: none;
    -webkit-touch-callout: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    touch-action: none;
    -ms-touch-action: none;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-tap-highlight-color: transparent;
    opacity:0.0;
    transition: all 0.5s ease-in-out;
    cursor:default;
}

.guide-content {
    display:flex;
    justify-content:center;
    width: 100%;
}

#guide h1{
    font-family:"Oswald", sans-serif;
    font-size:1.5em;
    text-align:center;
    width:100%;
    font-weight:200;
    padding-top:5px;
    padding-bottom:20px;
}

#guide h2{
    font-family:"Oswald", sans-serif;
    font-size:1.5em;
    text-align:center;
    width:100%;
    font-weight:200;
    padding-top:0px;
}

.guide-instructions{
    width: 100%;
}

.guide-instructions-intro{
     width: 100%;
    text-align:center;
    margin-bottom:15px;
    font-size:0.95em;
    line-height: 1.5;
}

#guide-instructions-tools{
    width:450px;
    margin-left:calc(50% - 235px);
    background-color:rgba(0,0,0,0.5);
    border-radius:12px;
    padding:0px 20px 10px 10px;
    border-style: solid;
    border-color: grey;
    border-width:0.5px 0px 0px 0px;
    transform:scale(0.5);
    transition: all 0.5s ease-in-out;
}

.guide-instructions-item{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: left;
    align-items:center;
    margin-bottom:15px;
}

.guide-instructions-item-icon{
  min-width:32px;
  min-height:32px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position-y:50%;
  margin-left:5px;

}

.guide-instructions-item-label{
    margin-left:20px;
    font-weight:200;
    line-height: 1.3;
    font-size:0.95em;
    user-select: none;
    -webkit-user-select: none;
    cursor:default;
  }

  .guide-instructions-item-label p{
    display:inline;
    /* font-weight:700; */
  }

  .guide-closer {
    left:calc(50% - 50px);
    margin-top:20px;
    position:absolute;
    /* width: 45px; */
    height: 20px;
    border-radius: 6px;
    color: white;
    background-image: url("close.png");
    background-size: 18px 18px;
    background-repeat: no-repeat;
    background-position: 5px 9px;
    padding:7px 8px 5px 35px;
    line-height: 1.2;
    font-size: 1.1em;
    cursor: pointer;
}

.guide-closer:hover {
    background-color: rgb(80, 80, 80);
}

.module-acknowledgement{
   width:100%;
   text-align:center;
   font-size:0.85em;
   font-weight:200;
   opacity:0.7;
   padding-bottom:10px;
}

.module-acknowledgement p{
    display:inline;
 }

 .module-acknowledgement a:link{
    color:white;
    font-weight:500;
    text-decoration: none;
  }

  .module-acknowledgement a:hover{
    color:rgb(105, 208, 249);
  }

.module-acknowledgement a:visited{
   color:white;
 }


*:focus {
    outline:none!important;
  }

